# -*- coding: utf-8 -*-
import torch
import torch.nn as nn


class Normalize(nn.Module):
    def __init__(self):
        super(Normalize, self).__init__()

    def forward(self, data, min_value=-1000, max_value=600):
        new_data = data
        new_data[new_data < min_value] = min_value
        new_data[new_data > max_value] = max_value

        # normalize to [-1, 1]
        new_data = 2.0 * (new_data - min_value) / (max_value - min_value) - 1

        return new_data
